
import os, sys, time
import OPi.GPIO as GPIO

class HatControl(object):
    def __init__(self):
        #get armbian board version: e.g. orangepizero or orangepizeroplus2-h3
        pipe = os.popen("cat /etc/armbian-release | grep '^BOARD=' | awk -F= '{print $2}'")
        boardversion = pipe.read().strip() #get rid of new line character
        pipe.close()

        if boardversion == 'orangepizeroplus2-h3':
            GPIO.setboard(GPIO.ZEROPLUS2H3)     # Orange Pi board version
        else:
            GPIO.setboard(GPIO.ZERO)

        GPIO.setmode(GPIO.BOARD)              # set up BOARD GPIO numbering

    def reset(self):
        print("Hard resetting Gateway Hat")

        #reset pin low
        GPIO.setup(15, GPIO.OUT)
        GPIO.output(15, 0)

        #then wait 2ms
        time.sleep(0.002)

        #reset pin high impedance again
        GPIO.setup(15, GPIO.IN, pull_up_down=GPIO.PUD_OFF)
