import struct

class DistanceAndVoltageParser:

	def parse(self, txUID, msg):
		parsed = {}

		distanceStr = ''.join(chr(x) for x in msg[1:3])
		distance = struct.unpack(">H", distanceStr)[0] #unsigned 2 byte integer

		parsed['distance'] = distance & 0xFFF # wipe first 4 bits of this 2 byte number
		parsed['rangestatus'] = distance >> 12 # take first 4 bits
		parsed['temperature'] = int(msg[3])

		voltageStr = ''.join(chr(x) for x in msg[3:5])
		voltage = struct.unpack(">H", voltageStr)[0]
		parsed['voltage'] = voltage

		return parsed
