import struct

class HeaterParser:

	def parse(self, txUID, msg):
		parsed = {}

		if len(msg) >= 5:
			maxSilentTime = struct.unpack(">H", msg[1:3])[0] #unsigned 2 byte integer, number of seconds the heater waits for a message at max. before reregistering here
			parsed['reregisterTimeout'] = maxSilentTime

			parsed['heatingVoltage'] = struct.unpack(">H", msg[3:5])[0] #unsigned 2 byte integer, current measured heating voltage

			if len(msg) >= 9:
				parsed['outputLevel'] = struct.unpack(">H", msg[5:7])[0] #unsigned 2 byte integer, current DAC output level
				parsed['outputTargetVoltage'] = float("{0:.2f}".format((2500.0/1024.0) * ((27.4 / 3.3) + 1) * parsed['outputLevel']))

				parsed['inputLevel'] = struct.unpack(">H", msg[7:9])[0] #unsigned 2 byte integer, current ADC input level (the base of the heating Voltage!)


		return parsed
