import struct
from ..publisher import HelloMsgPublisher

class HelloMsgParser:

    def parse(self, txUID, msg):
        parsed = {}

        if msg[1] == 1:
            parsed['deviceType'] = 'reedsensor'
        elif msg[1] == 2:
            parsed['deviceType'] = 'airsensor'

        parsed['firmwareRevision'] = struct.unpack(">H", msg[2:4])[0]

        wakeupIntervalEnc = msg[4]

        if wakeupIntervalEnc == 0:
            parsed['wakeupInterval'] = 0
        if wakeupIntervalEnc <= 25:
            parsed['wakeupInterval'] = 5 + wakeupIntervalEnc - 1
        elif wakeupIntervalEnc <= 31:
             parsed['wakeupInterval'] = 30 + (5 * (wakeupIntervalEnc % 26))
        elif wakeupIntervalEnc <= 55:
            parsed['wakeupInterval'] = 60 + (10 * (wakeupIntervalEnc % 32))
        elif wakeupIntervalEnc <= 111:
            parsed['wakeupInterval'] = 300 + (60 * (wakeupIntervalEnc % 56))

        return parsed

    def getPublisher(self, mqttClient):
        return HelloMsgPublisher.HelloMsgPublisher(mqttClient)
