import struct
from ..publisher import ReedPublisher

class Reed1Parser:

	def __init__(self, withVoltage=False):
		self.withVoltage = withVoltage

	def parse(self, txUID, msg):
		parsed = {}

		parsed['reedswitch'] = int(msg[1])
		parsed['temperature'] = int(msg[2])

		if self.withVoltage:
			voltage = struct.unpack(">H", msg[3:5])[0]
			parsed['voltage'] = voltage

		return parsed

	def getPublisher(self, mqttClient):
		return ReedPublisher.ReedPublisher(mqttClient)
