import json
from . import Publisher

class HelloMsgPublisher(Publisher.Publisher):

    def __init__(self, mqttClient):
        super().__init__(mqttClient)

    def publish(self, sensorId, timestamp, parsedMsg, rssi):
        if not 'deviceType' in parsedMsg:
            return

        if parsedMsg['deviceType'] == 'reedsensor':
            sensorMqttCat = 'sensors/reed'
        elif parsedMsg['deviceType'] == 'airsensor':
            sensorMqttCat = 'sensors/air'
        else:
            return

        if 'wakeupInterval' in parsedMsg:
            self.mqttClient.publish('{}/{}/wakeup_interval'.format(sensorMqttCat, sensorId), parsedMsg['wakeupInterval'], qos=1, retain=True)

        if 'firmwareRevision' in parsedMsg:
            self.mqttClient.publish('{}/{}/firmware/revision'.format(sensorMqttCat, sensorId), parsedMsg['firmwareRevision'], qos=1, retain=True)
