import json

class Publisher:

    def __init__(self, mqttClient):
        self.mqttClient = mqttClient

    def publishBatteryStatus(self, sensorType, sensorId, timestamp, parsedMsg):
        if 'voltage' in parsedMsg:
            jsonObj = {'ts': timestamp, 'sid': sensorId, 'mV': parsedMsg['voltage']}
            jsonStr = json.dumps(jsonObj)
            self.mqttClient.publish('sensors/{}/{}/battery'.format(sensorType, sensorId), jsonStr, qos=1, retain=True, content_type='cnq/0.1+json')
