import json
from . import Publisher

class ReedPublisher(Publisher.Publisher):

    def __init__(self, mqttClient):
        super().__init__(mqttClient)

    def publish(self, sensorId, timestamp, parsedMsg, rssi):
        if parsedMsg['reedswitch'] == 1:
            rs = 'open'
        else:
            rs = 'closed'
        jsonObj = {'ts': timestamp, 'sid': sensorId, 'rs': rs, 'rssi': rssi}
        jsonStr = json.dumps(jsonObj)
        self.mqttClient.publish('sensors/reed/{}/reading'.format(sensorId), jsonStr, qos=1, retain=True, content_type='cnq/0.1+json')

        super().publishBatteryStatus('reed', sensorId, timestamp, parsedMsg)
